summaryrefslogtreecommitdiffstats
path: root/tests/hostname-with-slash-dflt-slash-valid.sh
diff options
context:
space:
mode:
authorDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-15 16:28:20 +0000
committerDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-15 16:28:20 +0000
commitdcc721a95bef6f0d8e6d8775b8efe33e5aecd562 (patch)
tree66a2774cd0ee294d019efd71d2544c70f42b2842 /tests/hostname-with-slash-dflt-slash-valid.sh
parentInitial commit. (diff)
downloadrsyslog-dcc721a95bef6f0d8e6d8775b8efe33e5aecd562.tar.xz
rsyslog-dcc721a95bef6f0d8e6d8775b8efe33e5aecd562.zip
Adding upstream version 8.2402.0.upstream/8.2402.0
Signed-off-by: Daniel Baumann <daniel.baumann@progress-linux.org>
Diffstat (limited to 'tests/hostname-with-slash-dflt-slash-valid.sh')
-rwxr-xr-xtests/hostname-with-slash-dflt-slash-valid.sh26
1 files changed, 26 insertions, 0 deletions
diff --git a/tests/hostname-with-slash-dflt-slash-valid.sh b/tests/hostname-with-slash-dflt-slash-valid.sh
new file mode 100755
index 0000000..6305d7d
--- /dev/null
+++ b/tests/hostname-with-slash-dflt-slash-valid.sh
@@ -0,0 +1,26 @@
+#!/bin/bash
+# addd 2016-07-11 by RGerhards, released under ASL 2.0
+
+. ${srcdir:=.}/diag.sh init
+generate_conf
+add_conf '
+module(load="../plugins/imtcp/.libs/imtcp")
+input(type="imtcp" port="0" listenPortFileName="'$RSYSLOG_DYNNAME'.tcpflood_port")
+template(name="outfmt" type="string" string="%hostname%\n")
+
+# note: we use the default parser chain, which includes RFC5424 and that parser
+# should be selected AND detect the hostname with slashes as valid.
+local4.debug action(type="omfile" template="outfmt" file=`echo $RSYSLOG_OUT_LOG`)
+'
+startup
+echo '<167>1 2003-03-01T01:00:00.000Z hostname1/hostname2 tcpflood - tag [tcpflood@32473 MSGNUM="0"] data' > $RSYSLOG_DYNNAME.input
+tcpflood -B -I $RSYSLOG_DYNNAME.input
+shutdown_when_empty
+wait_shutdown
+echo "hostname1/hostname2" | cmp - $RSYSLOG_OUT_LOG
+if [ ! $? -eq 0 ]; then
+ echo "invalid hostname generated, $RSYSLOG_OUT_LOG is:"
+ cat $RSYSLOG_OUT_LOG
+ error_exit 1
+fi;
+exit_test